aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2009-01-15 15:54:30 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2009-01-15 15:54:30 +0000
commit55f67e638184001af38cdc0b6119cd00b1a9de64 (patch)
tree574265dc83c45c31788f8322c88a7388ddbbe0f6 /app-office/ekee
parentUpdate mpi.eclass. Major changes include simplyfing use and allowing non emp... (diff)
downloadsci-55f67e638184001af38cdc0b6119cd00b1a9de64.tar.gz
sci-55f67e638184001af38cdc0b6119cd00b1a9de64.tar.bz2
sci-55f67e638184001af38cdc0b6119cd00b1a9de64.zip
Added ekee
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1368 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'app-office/ekee')
-rw-r--r--app-office/ekee/Manifest3
-rw-r--r--app-office/ekee/ekee-2.0.2.ebuild32
-rw-r--r--app-office/ekee/metadata.xml11
3 files changed, 46 insertions, 0 deletions
diff --git a/app-office/ekee/Manifest b/app-office/ekee/Manifest
new file mode 100644
index 000000000..291094495
--- /dev/null
+++ b/app-office/ekee/Manifest
@@ -0,0 +1,3 @@
+DIST ekee-2.0.2.tar.bz2 26095 RMD160 26c2f4cd670e25cb7dd55dc4d01bdc01351a0145 SHA1 62c6945e8fe0c9745549da6a3b3e00d059d1a3d5 SHA256 50759036aedf170ed6ff30dfd381ff9c1425b4fba9d09142acedb9f9b6051e3b
+EBUILD ekee-2.0.2.ebuild 714 RMD160 2a8c1997d730ef38656dad68bf42e6371a766716 SHA1 c74bb6543d8ff686119086680e7cac42051f64a6 SHA256 511ae77162fe3a3d166bf0ff7081a4fd47f512bc5986e195fd02bcb7ae85d515
+MISC metadata.xml 423 RMD160 0df6e6fd311d68fae6e6ad292f8934eabd56807b SHA1 aeb5ea78bbdf85ef0d1b96f6b9a2cd1d76635273 SHA256 0a97918597173bad8f4344dfd35cc415664f8efec665885a0ae8abc5f56aada2
diff --git a/app-office/ekee/ekee-2.0.2.ebuild b/app-office/ekee/ekee-2.0.2.ebuild
new file mode 100644
index 000000000..8d1b50009
--- /dev/null
+++ b/app-office/ekee/ekee-2.0.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils ruby
+
+DESCRIPTION="LaTeX equation editor"
+HOMEPAGE="http://rlehy.free.fr/"
+SRC_URI="http://rlehy.free.fr/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND="dev-ruby/qt4-qtruby
+ virtual/latex-base
+ app-text/dvipng
+ media-gfx/pstoedit
+ media-gfx/imagemagick
+ x11-misc/xdg-utils"
+
+src_install() {
+ emake PREFIX=/usr DESTDIR="${D}" install-bin || die "emake install failed"
+ # install-doc is simple and not what we want
+ pod2man doc/ekee.pod ekee.1
+ doman ekee.1
+ dodoc changelog AUTHORS README TODO copyright
+ make_deskop_entry ekee Ekee
+}
diff --git a/app-office/ekee/metadata.xml b/app-office/ekee/metadata.xml
new file mode 100644
index 000000000..5876f23b0
--- /dev/null
+++ b/app-office/ekee/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>tex</herd>
+<longdescription lang="en">
+ The LaTeX equation editor Ekee produces images interactively from
+ LaTeX expressions. Drag and drop in several common formats (PNG, SVG,
+ PDF, EPS) to other applications is supported. Ekee was formerly
+ called Eqe.
+</longdescription>
+</pkgmetadata>